
OPT MODULE
OPT EXPORT

MODULE 'exec/types'

OBJECT c2p_info
    ci_colordepth:INT            ->CI_256, CI_128, CI_64, CI_EHB, CI_32..
    ci_cpu:INT                   ->CI_68060, CI_68040, CI_68030....
    ci_needs:INT                 ->CI_Aikiko, CI_MMU, CI_FPU...
    ci_dirty:CHAR                ->TRUE/FALSE
    ci_hack:CHAR                 ->TRUE/FALSE
    ci_pixelsize:LONG            ->c2p_1x1...
    ci_widthalign:INT            ->Width has to be divisible by <number>
    ci_heightalign:INT           ->Height has to be divisible by <number>
    ci_misc:INT                  ->Different stuff...
    ci_amicompatible:LONG        ->Is this compatible to RtgScreenAMI ?
    ci_description:LONG          ->Pointer to a string
    ci_initialization:LONG       ->Pointer to Initialization code
    ci_expunge:LONG              ->Pointer to Expunge code
    ci_normal_c2p:LONG           ->Pointer to c2p code
    ci_normal_c2p_interl:LONG    ->Pointer to Interleaved c2p
    ci_scrambled_c2p:LONG        ->Pointer to Scrambled c2p
    ci_scrambled_c2p_interl:LONG ->Pointer to Scrambled Interleaved c2p
    ci_asynchrone:CHAR           ->TRUE/FALSE
ENDOBJECT

-> CI_Colordepth

CONST CI_256=256,
      CI_128=128,
      CI_64 =64,
      CI_EHB=32,
      CI_32 =16,
      CI_16 =8,
      CI_8  =4,
      CI_4  =2,
      CI_2  =1

-> CI_CPU

CONST CI_68060=1,
      CI_68040=2,
      CI_68030=4,
      CI_68020=8,
      CI_68060D=16,
      CI_68040D=32,
      CI_68030D=64,
      CI_68020D=128

-> CI_Needs

CONST CI_68060N=1,
      CI_68040N=2,
      CI_68030N=4,
      CI_AIKIKO=8,
      CI_MMU   =16,
      CI_FPU   =32,
      CI_FAST  =64,
      CI_2MB   =128

-> CI_MISC

CONST CI_SMALLER =1,
      CI_FIXED   =2,
      CI_DESTRUCT=4

CONST C2P_1X1=1,
      C2P_1X2=2,
      C2P_2X1=4,
      C2P_2X2=8,
      C2P_4X2=16,
      C2P_2X4=32,
      C2P_4X4=64,
      C2P_BEST=128,
      C2P_FASTEST=256,
      C2P_SELECTED=512,
      C2P_1X1D=1024,
      C2P_1X2D=2048,
      C2P_2X1D=4096,
      C2P_2X2D=8192,
      C2P_4X2D=16384,
      C2P_2X4D=32768,
      C2P_4X4D=65536,
      C2P_BESTD=131072,
      C2P_FASTESTD=262144,
      C2P_SELECTEDD=524288

CONST C2P_ERR_WRONG_C2P=1,
      C2P_ERR_WRONG_DEPTH=2,
      C2P_WARN_WRONG_PIXELMODE=3,
      C2P_ERR_WRONG_WINDOWSIZE=4,
      C2P_WARN_DIVISIBLE=5,
      C2P_ERR_HARDWARE=6,
      C2P_ERR_MEMORY=7,
      C2P_ERR_INTERNAL=8,
      C2P_WARN_INTERNAL=9
